SingleStore DB

Prerequisites

Ensure that your environment meets the following prerequisites:

  • MemSQL version 5.8.0 or newer: This version of MemSQL (SingleStore DB) is required because it’s the first version that supports audit logging.

  • Required permissions for destination directory: Ensure that the destination directory has the required permissions to write log files. If SingleStore DB cannot write to a destination directory, then the database will become unresponsive.

  • Available disk space on log file directory: Ensure that the destination directory has enough disk space to write log files. If the disk runs out of space, the database will become unresponsive.